Skip to main content

List all transactions associated with an insight

Use this endpoint to list all the transactions associated with the insight.

GET
/users/{user_guid}/insights/{insight_guid}/transactions

Path Parameters

FieldRequiredType

user_guid

The unique identifier for a user, beginning with the prefix USR-.

Required
String

insight_guid

The unique identifier for the insight. Defined by MX.

Required
String

Query Parameters

FieldRequiredType

page

Results are paginated. Specify current page.

Optional
Integer

records_per_page

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 100. If the value exceeds 100, the default value of 25 will be used instead.

Optional
Integer

Header Parameters

FieldRequiredType

Accept-Version

MX Platform API version.

Required
String
Loading...